#ifndef NotifyHWJoint_H
#define NotifyHWJoint_H
#include <QTimer>
#include "notify-base.h"

namespace Notify
{
class NotifyHWJoint : public NotifyBase
{
    Q_OBJECT

public:
    NotifyHWJoint(QObject *parent = NULL);
    ~NotifyHWJoint();

public slots:
    void notifyActive(qint64 remainDays, QString notifyType);
private slots:
    void lockScreen();

private:
    int m_notifyTimes;
};
}  // namespace Notify

#endif  // NotifyHWJoint_H
