#ifndef DIALOG_H
#define DIALOG_H

#include <QDialog>
#include <QLabel>
#include <QLineEdit>
#include <QMouseEvent>

namespace Ui
{
class Dialog;
}
namespace VA
{
class Dialog : public QDialog
{
    Q_OBJECT

public:
    explicit Dialog(const QIcon &icon, QWidget *parent = NULL);
    ~Dialog();
    void setDialogInfo(const QString &diaLogInfo);

private slots:
    void on_accept_clicked();
    void on_cancel_clicked();

private:
    Ui::Dialog *ui;
};
}  // namespace VA

#endif  // DIALOG_H
